<?php

namespace Drupal\chatbro\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\chatbro\Library\Chatbrochats;
use Symfony\Component\HttpFoundation\JsonResponse;

class MainController extends ControllerBase
{

  private $chatbro;

  public function __construct()
  {
    if (!defined('CHATBROENGINE')) {
      define('CHATBROENGINE', 1);
    }

    $this->chatbro = new Chatbrochats();
    $this->chatbro->init();
  }

  public function content()
  {
  }

  public function getPanel()
  {
    return [
      '#theme' => 'chatbro_block',
      '#html_block' => $this->chatbro->getChatbroPanel(),
      '#attached' => [
        'library' => [
          'chatbro/chatbro',
        ],
      ],
    ];
  }

  public function getChats()
  {
    return new JsonResponse($this->chatbro->getChats());
  }

  public function updateChat()
  {
    return new JsonResponse($this->chatbro->updateChat());
  }

  public function createChat()
  {
    return new JsonResponse($this->chatbro->createChat());
  }

  public function deleteChat()
  {
    return new JsonResponse($this->chatbro->deleteChat());
  }

  public function saveSettings()
  {
    return new JsonResponse($this->chatbro->saveSettings());
  }

  public function getModuleName()
  {
    return 'chatbro';
  }

}
