<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

 namespace Drupal\chatbro\Library\Chatbroapp\Backends;

defined('CHATBROENGINE') || die();

use Drupal\chatbro\Library\Chatbroapp\Interfaces\IcbroAdminBackend;
use Drupal\chatbro\Library\Chatbroapp\Utils\CbroUtils;

class CbroAdminBackend implements IcbroAdminBackend
{
	public function __construct()
	{
	}

	function has_permission_editor()
	{
		return false;
	}

	function has_shortcodes()
	{
		return true;
	}

	function get_login_url()
	{
	}

	function additional_fields($type)
	{
	}

	function check_token($type)
	{
	}

	function save_permissions()
	{
	}

	function render_permissions()
	{
	}

	function get_chat_help_tips()
	{
		?>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY'); ?>
        
      </h4>
      <div class="bs-callout-info-body">
        <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_WAYS'); ?>
        
        <ul style="list-style-type:none; margin-left: 0;">
          <li>- <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_WAYS_A'); ?></li>
          <li>- <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_WAYS_B'); ?></li>
          <li>- <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_WAYS_C'); ?></li>
        </ul>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_CONF'); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_CONF_DESC'); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS'); ?>
        </h5>
        <p>
          <ul style="list-style-type:none; margin-left: 0;">
          <li>1. <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_A'); ?></li>
          <li>2. <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_B'); ?></li>
          <li>3. <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_C'); ?></li>
          <li>4. <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_D'); ?></li>
          <li>5. <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_E'); ?></li>
          </ul>
          <div class="alert alert-info">
            <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_INFO'); ?>
          </div>
          <hr>
          <div class="alert alert-warning">
            <?php echo CbroUtils::translate('COM_CHATBRO_DISPLAY_BLOCKS_WARNING'); ?>
          </div>
        </p>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_DESC'); ?>
        </p>
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_IGNORE'); ?>
        </p>
        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_EXAMPLE'); ?>
        </h5>
        <code id="chatbroShortCodeExample"></code>
        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_ATTR'); ?>
        </h5>
        <ul style="list-style-type:none; margin-left: 0;">
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_SHORTCODES_CHAT_ID'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_STATIC'); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_REGISTERED_ONLY'); ?>
          </li>
        </ul>
        <div class="alert alert-warning">
          <?php echo CbroUtils::translate('COM_CHATBRO_SHORTCODES_WARNING'); ?>
        </div>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_ON_FLY_CREATION'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_ON_FLY_CREATION_DESC'
          ); ?>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_ON_FLY_CREATION_DESC_CHILD'
          ); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_HOW_TO_USE_IT'); ?>
        </h5>

        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_ON_FLY_CREATION_HOW_TO_USE'
          ); ?>
        </p>

        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE'
          ); ?>
        </p>
        <p>
          <code id="chatbroShortCodeChildExample"></code>
        </p>

        <ul style="list-style-type:none; margin-left: 0;">
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_ID'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_CHILD'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_TITLE'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_EXT_ID'
            ); ?>
          </li>
        </ul>

        <h5>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT'
          ); ?>
        </h5>
        <ul style="list-style-type:none; margin-left: 0;">
          <li>-
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT_VISUAL_SETTINGS'
            ); ?>
          </li>
          <li>-
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT_AUTHORIZATION_SETTINGS'
            ); ?>
          </li>
          <li>-
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT_PRIVACY_SETTINGS'
            ); ?>
          </li>
          <li>-
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT_FILTER'
            ); ?>
          </li>
          <li>-
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_ON_FLY_CREATION_SHORTCODE_INHERIT_TARIFF'
            ); ?>
          </li>
        </ul>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_SYNC'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_SYNC_DESC'); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_SYNC_DESC_HOW_GROUP'); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SYNC_DESC_ADD_BOT_GROUP'
          ); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SYNC_DESC_HOW_CHANNEL'
          ); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SYNC_DESC_ADD_BOT_CHANNEL'
          ); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_SYNC_DESC_BOT_NAME'); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SYNC_DESC_BOT_NAME_DESC'
          ); ?>
          <a href="https://www.chatbro.com/documentation/custom_telegram_bot/" target='_blank'>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_FOLLOW_THE_INSTRUCTIONS'
            ); ?>
          </a>
        </p>

        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_VK_SYNC'); ?>
        </h5>
        <p>
          <a href="https://www.chatbro.com/documentation/custom_vk_bot/" target='_blank'>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_DETAIL_INSTRUCTION'
            ); ?>
          </a>
          <?php echo CbroUtils::translate('COM_CHATBRO_HOW_TO_ADD_AND_SYNC'); ?>
        </p>

        <h5>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_AUTOMATIC_SYNCHRONIZATION'
          ); ?>
        </h5>
        <p>
          <a href="https://www.chatbro.com/documentation/automatic_synchronization/" target='_blank'>
            <?php echo CbroUtils::translate('COM_CHATBRO_DETAIL_INSTRUCTION') .
            	'.'; ?>
          </a>
        </p>
        <p><!-- just height space --></p>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_MESSAGE_FILTERING'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_MESSAGE_FILTERING_DESC'
          ); ?>
        </p>
        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_HOW_TO_CONFIGURE'); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_MESSAGE_FILTERING_CONF'
          ); ?>
        </p>
        <p><!-- just height space --></p>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_SPOOFING_PROTECTION'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SPOOFING_PROTECTION_DESC'
          ); ?>
        </p>
        <h5>
          <?php echo CbroUtils::translate('COM_CHATBRO_HOW_TO_CONFIGURE'); ?>
        </h5>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_SPOOFING_PROTECTION_CONF'
          ); ?>
        </p>
        <p><!-- just height space --></p>
      </div>
    </div>
    <?php
	}

	function get_settings_help_tips()
	{
		?>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_ACCOUNT_ID'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_ACCOUNT_ID_DESC'); ?>
        </p>
        <div class="alert alert-warning">
          <?php echo CbroUtils::translate('COM_CHATBRO_ACCOUNT_ID_DESC_DEL'); ?>
        </div>
      </div>
    </div>
    <div class="bs-callout bs-callout-info">
      <h4 class="bs-callout-info-header">
        <?php echo CbroUtils::translate('COM_CHATBRO_TRANSFER_ACC'); ?>
      </h4>
      <div class="bs-callout-info-body">
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_TRANSFER_ACC_STEPS'); ?>
        </p>
        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_TRANSFER_ACC_STEPS_A'
          ); ?>
        </p>
        <ul style="list-style-type:none; margin-left: 0;">
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_A_A'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_A_B'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_A_C'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_A_D'
            ); ?>
          </li>
        </ul>

        <p>
          <?php echo CbroUtils::translate(
          	'COM_CHATBRO_TRANSFER_ACC_STEPS_B'
          ); ?>
        </p>
        <ul style="list-style-type:none; margin-left: 0;">
        <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_A'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_B'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_C'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_D'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_E'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_F'
            ); ?>
          </li>
          <li>
            <?php echo CbroUtils::translate(
            	'COM_CHATBRO_TRANSFER_ACC_STEPS_B_G'
            ); ?>
          </li>
        </ul>
        <p>
          <?php echo CbroUtils::translate('COM_CHATBRO_TRANSFER_ACC_DONE'); ?>
        </p>
      </div>
    </div>
    <?php
	}
}

?>
