<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

 namespace Drupal\chatbro\Library\Chatbroapp\Backends;

 defined('CHATBROENGINE') || die();

use Drupal\chatbro\Library\Chatbroapp\Interfaces\IcbroPermissionsBackend;
use Drupal\chatbro\Library\Chatbroapp\Permissions\CbroPermissions;
use Drupal\chatbro\Library\Chatbroapp\Users\CbroUser;

class CbroPermissionsBackend implements IcbroPermissionsBackend
{
	function can($capability, $display_to_guests)
	{
		switch ($capability) {
			case CbroPermissions::cap_ban:
				return CBroUser::is_admin();

			case CbroPermissions::cap_delete:
				return CBroUser::is_admin();

			case CbroPermissions::cap_view:
				$logged_in = CbroUser::is_logged_in();

				$can_view = $logged_in
					? $this->check_permission(CbroPermissions::cap_view)
					: false;

				if (
					(!$display_to_guests && !$logged_in) ||
					($logged_in && !$can_view)
				) {
					return false;
				}

				if (!$display_to_guests && !$logged_in) {
					// Don't show the chat to unregistered users
					return false;
				}

				return true;
		}
	}

	function check_permission($permissions)
	{
		// return current_user_can(CbroPermissions::cap_view);
		return true;
	}

	function can_manage_settings()
	{
		return false;
	}
}
