<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

 namespace Drupal\chatbro\Library\Chatbroapp\Backends;

defined('CHATBROENGINE') || die();

use Drupal\chatbro\Library\Chatbroapp\Interfaces\IcbroSettingsBackend;
use Drupal\chatbro\Library\Chatbroapp\Settings\CbroNonExistentOption;
use Drupal\chatbro\Library\Chatbroapp\Common\CbroCommon;

class CbroSettingsBackend implements
	IcbroSettingsBackend
{
	public $non_existent_option;

	public function __construct()
	{
		$this->non_existent_option = new CbroNonExistentOption();
	}

	function postpone_write()
	{
	}

	function flush()
	{
	}

	function add_extra_settings($settings)
	{
	}

	public function reg_store()
	{
		CbroCommon::reg_store();
	}

	function get($name)
	{
		return CbroCommon::get_option($name);
	}

	function set($name, $value)
	{
		return CbroCommon::update_option($name, $value);
	}

	function del($name)
	{
		CbroCommon::delete_option($name);
	}

	function get_cbro_utils_class()
	{
		return 'Drupal\chatbro\Library\Chatbroapp\Utils\CbroUtils';
	}
}