<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

 namespace Drupal\chatbro\Library\Chatbroapp\Backends;

defined('CHATBROENGINE') || die();

use Drupal\chatbro\Library\Chatbroapp\Interfaces\IcbroUserBackend;

class CbroUserBackend implements IcbroUserBackend
{
  private $customer;
  private $cms;

  public function __construct($cms)
  {
    $this->cms = $cms;
  }

  function is_logged_in()
  {
    return $this->cms->isUserAuthenticated();
  }

  function is_admin()
  {
    return $this->cms->isAdmin();
  }

  function avatar_url()
  {
    return $this->is_logged_in() ? $this->cms->getUserAvatar() : null;
  }

  function profile_url()
  {
    return  $this->is_logged_in() ? $this->cms->getUserPath() : null;
  }

  function id()
  {
    return $this->is_logged_in() ? $this->cms->getUserId() : null;
  }

  function display_name()
  {
    return $this->is_logged_in() ? $this->cms->getUserDisplayName() : null;
  }

  function full_name()
  {
    return $this->is_logged_in() ? $this->cms->getUserFullName() : null;
  }
}